{% extends 'course/base.html' %}

{% block title %}
    Инструкция
{% endblock %}

{% block container %}
    <h3>Порядок использования</h3>
    <ol>
        <li><a href="{% url 'user:teacher_create' %}">Создать преподавателя</a></li>
        <li><a href="{% url 'course:category_create' %}">Создать категорию</a></li>
        <li><a href="{% url 'course:course_create' %}">Создать курс</a></li>
    </ol>

    <div class="row">
        <div class="col-sm">
            <h4>Список преподавателей</h4>
            <ul class="list-group">
                {% for teacher in teachers %}
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        <a href="{% url 'user:teacher_detail' pk=teacher.pk %}">{{ teacher.full_name }}</a>
                        <div class="btn-group" role="group">
                            <a href="{% url 'user:teacher_update' pk=teacher.pk %}"
                               class="btn btn-warning btn-sm" role="button">Редактировать</a>
                            <a href="{% url 'user:teacher_delete' pk=teacher.pk %}"
                               class="btn btn-danger btn-sm" role="button">Удалить</a>
                        </div>
                    </li>
                {% empty %}
                    <p>Нет данных для отображения</p>
                {% endfor %}
            </ul>
        </div>
        <div class="col-sm">
            <h4>Список категорий</h4>
            <ul class="list-group">
                {% for category in categories %}
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        <a href="{% url 'course:category_detail' pk=category.pk %}">{{ category.name }}</a>
                        <div class="btn-group" role="group">
                            <a href="{% url 'course:category_update' pk=category.pk %}"
                               class="btn btn-warning btn-sm" role="button">Редактировать</a>
                            <a href="{% url 'course:category_delete' pk=category.pk %}"
                               class="btn btn-danger btn-sm" role="button">Удалить</a>
                        </div>
                    </li>
                {% empty %}
                    <p>Нет данных для отображения</p>
                {% endfor %}
            </ul>
        </div>
        <div class="col-sm">
            <h4>Список курсов</h4>
            <ul class="list-group">
                {% for course in courses %}
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        <a href="{% url 'course:course_detail' pk=course.pk %}">{{ course.name }}</a>
                        <div class="btn-group" role="group">
                            <a href="{% url 'course:course_update' pk=course.pk %}"
                               class="btn btn-warning btn-sm" role="button">Редактировать</a>
                            <a href="{% url 'course:course_delete' pk=course.pk %}"
                               class="btn btn-danger btn-sm" role="button">Удалить</a>
                        </div>
                    </li>
                {% empty %}
                    <p>Нет данных для отображения</p>
                {% endfor %}
            </ul>
        </div>
    </div>
{% endblock %}